/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body{
	overflow-x: hidden;
	width: 100%;
}

body.home{
		-webkit-transition: opacity 0.2s;
		-moz-transition: opacity 0.2s;
		-o-transition: opacity 0.2s;
		-ms-transition: opacity 0.2s;
		transition: opacity 0.2s;
    	opacity: 1 !important;
}


/*.custom-swiper > .elementor-container > .elementor-row > .elementor-element.elementor-column {
    background-size: cover;
}

.custom-swiper-mob > .elementor-container > .elementor-row > .elementor-element.elementor-column {
    background-size: cover;
	background-position-x: center;
}*/
.elementor-widget-n-carousel .e-n-carousel>.swiper-wrapper>.swiper-slide{
	min-height: 500px;
}

a.generate-back-to-top {
    z-index: 1000000;
}

.wpforms-confirmation-container-full, div[submit-success] > .wpforms-confirmation-container-full:not(.wpforms-redirection-message) {
    background: #164194 !important;
    border: none !important;
    color: #FFF !important;
}
@media screen and (min-width: 768px) {
	/* The sticky class is added to the header with JS when it reaches its scroll position */
	.sticky {
		position: fixed !important;
		top: 0;
		width: 100%;
		z-index: 1000;
	}
}
a:hover{
	cursor:pointer;
}
.elementor-icon-list-text a:hover{
	color: #164194;
}
a.light{
	color:#AAA;
}
a.light:hover{
	color:#fff;
}
.site-logo .header-image{
	width: 160px
}
#webcam{
	height: 600px;
}
.webcams-nav{
	text-align:center;
}
.webcams-nav a{
	color:#3c3c3b;
	cursor: pointer;
}
.webcams-nav a:hover{
	color:#164194;
}
.webcams-nav a.selected{
	color:#164194;
}

#primary-menu{
	padding-right: 150px;
}

#resa-form{
	float: left;
}

#resa-form label{
	position: relative;
	width: 200px;
	float: left;
}

#resa-form label.date{
	width: 150px;
}

#resa-form select{
	-webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: url(https://www.intersport-skipy.com/wp-content/uploads/sites/5/2020/08/arrow-down-angle.svg) calc(100% - 12px) / 16px no-repeat #FFF;
	padding-left: 10px;
	width: 200px;
	padding-right: 35px;
}
.menu-toggle {
    text-transform: uppercase;
    font-size: 20px;
    color: #164194 !important;
}
#stations-dd{
	position: absolute;
	z-index: 1000;
	right: 0;
	top: 0;
}
#stations-dd i {
	margin-right: 5px;
	color: #e30f1b;
}
#stations-dd .sub-menu{
	width:110px;
}
.main-navigation .main-nav#stations-dd ul li a {
	color: #164194;
}


::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:    #164194;
}
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
   color:    #164194;
   opacity:  1;
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
   color:    #164194;
   opacity:  1;
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
   color:    #164194;
}
/* CAUTION: Internet Explorer hackery ahead */
#resa-form select::-ms-expand {
    display: none; /* Remove default arrow in Internet Explorer 10 and 11 */
}

/* Target Internet Explorer 9 to undo the custom arrow */
@media screen and (min-width:0\0) {
    #resa-form select {
        background: none\9;
        padding: 5px\9;
    }
}


#resa-form label.date{
	margin-left: 20px;
}
/*#resa-form label.date input{
	padding-left: 45px;
}*/

#resa-form label.date::before {
    font-family: "Font Awesome 5 Free";
    content: "\f073";
    color: #164194;
    font-size: 20px;
    position: absolute;
    top: 10px;
		right: 12px;
    line-height: 1;
}

#resa-form label select, #resa-form label input {
    height: 40px;
    font-size: 13px;
		color: #164194;
}

.resa-form-container .title{
	float:left;
	width:auto;
	font-size:20px;
	color: #FFF;
	font-weight: 600;
	margin: 0 20px 0 0;
	height: 40px;
}
#resa-form button[type="submit"] {
    width: 150px;
		float: left;
		font-size: 14px;
		color: #fff;
		border-color: #FFF;
		margin-left: 20px;
		padding: 9px;
}

#resa-form button[type="submit"]:hover,
#resa-form button[type="submit"]:active,
#resa-form button[type="submit"]:visited,
#resa-form button[type="submit"]:focus{
		color: #164194 !important;
		border-color: #164194;
}

.resa-form-container{
	margin:auto;
	width: auto !important;
}

.site-logo::after{
	content: "N°1 de la location en ligne";
	display: block;
	position: absolute;
	top: 36px;
	color:#164194;
	font-size:10.7px;
	text-transform:uppercase;
	padding-left:2px;
}
.header-image{
	padding-top:0px !important;
}

.menu-toggle{
	border:none !important;
}
.footer-links{
	font-size: 80%;
}

/*.wpforms-form{
	color: #FFF;
}*/
.wpforms-title{
	font-size:30px !important;
}
.wpforms-field-row.wpforms-field-medium, .wpforms-form input[type="email"]{
	max-width: 100% !important;
}
.wpforms-one-half{
	width: 48% !important;
}
/*.info-station-container #info-station-btn{*/
#info-station-btn{
	    transform: rotate(270deg);
	-webkit-transition: right 0.3s ease-out;
  -moz-transition: right 0.3s ease-out;
  -o-transition: right 0.3s ease-out;
  -ms-transition: right 0.3s ease-out;
  transition: right 0.3s ease-out;
	position: absolute;
  right: -21px;
	background-color: #FFFFFFE6;
	border-radius: 60px 60px 0 0;
    padding: 20px 0px 5px 12px;
	cursor: pointer;
	width: 100px;
	text-align:center;
	font-size: 14px;
	color: #164194;
	z-index: 2;
	height: 60px;
}

#info-station-btn i{
	  font-size: 26px;
    position: absolute;
    top: -24px;
    right: 30px;
    color: #164194BB;
}

#info-station-btn.open{
	right: 200px;
}

.info-station-container {
	position: absolute !important;
	right: 0;
	z-index:10;
	min-height: 450px;
}

.info-station{
	-webkit-transition: margin-right 0.3s ease-out;
  -moz-transition: margin-right 0.3s ease-out;
  -o-transition: margin-right 0.3s ease-out;
  -ms-transition: margin-right 0.3s ease-out;
  transition: margin-right 0.3s ease-out;
	width: 220px;
  padding: 0 20px;
	height: 100%;
	font-size: 14px;
	margin-right: -220px;
}
.info-station.open {
	margin-right: 0px;
}

.info-station.horizontal{
	margin: 0;
	width: 100%;
}

.info-station.horizontal .info-station-element{
	width: 25%;
}

.info-station .info-station-element{
	margin: 30px 0;
}

.info-station-element{
	float: left;
}
.info-station .ico-container{
	float: left;
	margin-top: 5px;
}
.info-station-labels, .info-station-ico{
	float: left;
}
.info-station-labels{
	margin: 0 0 0 25px;
}

.info-station-label {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 10px;
	color: #777;
}
.info-station-data {
    line-height: 15px;
		font-size: 16px;
	float: left;
	width: 100%;
}

.info-station-data .small{
	padding-top: 2px;
	margin-left: 5px;
	font-size: 14px;
}

.info-station-labels.data-after  .info-station-data{
	margin-top: -2px;
	margin-bottom: 4px;
}

#resa-form-section{
	z-index: 11;
}
@media screen and (max-height: 640px) {
	.info-station .info-station-element{
		margin: 20px 0;
	}
}

@media screen and (max-width: 992px) {
	.info-station .info-station-element{
		margin: 20px 0;
	}
}
@media screen and (max-width: 910px) {
	#stations-dd{
		right: 40px;
	}
	.main-navigation #stations-dd ul{
		display: block !important;
	}
	.toggled #stations-dd .menu-item-has-children .dropdown-menu-toggle {
			padding-left: 10px !important;
	}
	#stations-dd .menu-item-has-children .dropdown-menu-toggle {
    padding-left: 5px;
	}
}
@media screen and (max-width: 767px) {
	.info-station-labels {
			margin: 20px 0;
			width: 100%;
	}
	.info-station .info-station-element{
		margin: 20px 0;
	}
	
	#webcam{
		height: 400px;
	}
	
  .header-inter .swiper-slide {
		min-height: 500px;
	}
	#resa-form label{
		width: 100%;
		margin-bottom: 10px;
	}
	
	#resa-form label.date{
		margin-left: 0;
		width: 100%;
	}
	
	#resa-form button[type="submit"] {
		width:100%;
		margin-top: 5px;
		margin-left:0;
	}
	#resa-form label select, #resa-form label input {
		width: 100%;
	}
	.resa-form-container .title{
			margin: 10px 0;
	}
	body.home #resa-form-section{
		background-color: rgba(22, 65, 148, 0.8);
		z-index: 10;
	}
}
@media screen and (max-width: 567px) {
	.info-station-data {
		font-size: 15px;
	}
	.info-station-labels {
			margin: 0 0 0 10px;
			width: auto;
	}
	.info-station.horizontal .info-station-element{
		width: 50%;
	}
	
}
